For the complete documentation index, see llms.txt. This page is also available as Markdown.

IntType

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getIntType

post

Retrieve IntType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
IntTypeInterestTypeintegerRequired
Responses
200

Successful operation.

application/json
post/getIntType
POST /nexum/627/2022.01/parameter/getIntType HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 159

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "IntTypeInterestType": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "IntType": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getIntType"
}

getIntTypeSelectFields

post

Retrieve IntType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
IntTypeInterestTypeintegerOptional
Responses
200

Successful operation.

application/json
post/getIntTypeSelectFields
POST /nexum/627/2022.01/parameter/getIntTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 266

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "IntTypeInterestType": 0,
  "SelectableFields": {
    "IntTypeFields": {
      "InterestType": true,
      "Description": true,
      "InterestTypeMethod": true
    }
  }
}
200

Successful operation.

{
  "IntType": {
    "Description": null,
    "InterestType": 0,
    "InterestTypeMethod": 7
  },
  "MessageId": "getIntTypeSelectFields"
}

getIntTypePagedList

post

Retrieve IntType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getIntTypePagedList
POST /nexum/627/2022.01/parameter/getIntTypePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "IntType": [],
  "Token": null,
  "MessageId": "getIntTypePagedList"
}

getIntTypeListSelectFields

post

Retrieve IntType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getIntTypeListSelectFields
POST /nexum/627/2022.01/parameter/getIntTypeListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 190

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllIntTypeFields": true
  }
}
200

Successful operation.

{
  "IntTypeList": [],
  "MessageId": "getIntTypeListSelectFields"
}

searchIntTypeSelectFields

post

Search IntType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchIntTypeSelectFields
POST /nexum/627/2022.01/parameter/searchIntTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 228

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllIntTypeFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "IntTypeList": [],
  "MessageId": "searchIntTypeSelectFields"
}

getIntTypePagedListSelectFields

post

Retrieve IntType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getIntTypePagedListSelectFields
POST /nexum/627/2022.01/parameter/getIntTypePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 321

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IntTypeFields": {
      "InterestType": true,
      "Description": true,
      "InterestTypeMethod": true
    }
  }
}
200

Successful operation.

{
  "IntType": [
    {
      "Description": null,
      "InterestType": 0,
      "InterestTypeMethod": 7
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getIntTypePagedListSelectFields"
}

searchIntTypePagedSelectFields

post

Search IntType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchIntTypePagedSelectFields
POST /nexum/627/2022.01/parameter/searchIntTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 332

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "IntTypeFields": {
      "InterestType": true,
      "Description": true,
      "InterestTypeMethod": true
    }
  }
}
200

Successful operation.

{
  "IntType": [
    {
      "Description": null,
      "InterestType": 0,
      "InterestTypeMethod": 7
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchIntTypePagedSelectFields"
}

updateIntTypeByID

post

Update IntType parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
IntTypeInterestTypeintegerOptional
Responses
200

Successful operation.

application/json
post/updateIntTypeByID
POST /nexum/627/2022.01/parameter/updateIntTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 225

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "IntTypeInterestType": 1,
  "IntTypeUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateIntTypeByID"
}

Last updated

Was this helpful?